org.vishia.guiInspc

## Class InspcGui.CallingArguments

- java.lang.Object
- - org.vishia.gral.area9.GuiCallingArgs
  - - org.vishia.guiInspc.InspcGui.CallingArguments

- Enclosing class:
    InspcGui

      static class InspcGui.CallingArguments
      extends GuiCallingArgs

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) boolean` | `bUseGetValueByIndex` File with the values from the S7 to show.
    `(package private) java.util.Map<java.lang.String,java.lang.String>` | `curveExporterClasses` Cohesion between file extension and exporter java class path for curve output.
    `int` | `cycletime`
    `(package private) java.util.Map<java.lang.String,java.lang.String>` | `indexTargetIpcAddr` The target ipc-address for Interprocess-Communication with the target.
    `(package private) java.lang.String` | `sDefaultDirCfgForCurves`
    `(package private) java.lang.String` | `sDefaultDirSaveForCurves`

    - ### Fields inherited from class org.vishia.gral.area9.GuiCallingArgs

      `cfgConditions, dirHtmlHelp, fileGuiCfg, msgConfig, positionWindow, sizeShow, sOwnIpcAddr, sPathZbnf, sPluginCfg, sTimeZone, version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallingArguments()`

  - ### Method Summary

    - ### Methods inherited from class org.vishia.gral.area9.GuiCallingArgs

      `getDirCfg`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### indexTargetIpcAddr

          java.util.Map<java.lang.String,java.lang.String> indexTargetIpcAddr

      The target ipc-address for Interprocess-Communication with the target. It is a string, which determines the kind of communication. For example "UDP:0.0.0.0:60099" to create a socket port for UDP-communication.

    - #### curveExporterClasses

          java.util.Map<java.lang.String,java.lang.String> curveExporterClasses

      Cohesion between file extension and exporter java class path for curve output.

    - #### bUseGetValueByIndex

          boolean bUseGetValueByIndex

      File with the values from the S7 to show.

    - #### cycletime

          public int cycletime

    - #### sDefaultDirCfgForCurves

          java.lang.String sDefaultDirCfgForCurves

    - #### sDefaultDirSaveForCurves

          java.lang.String sDefaultDirSaveForCurves

  - ### Constructor Detail

    - #### CallingArguments

          CallingArguments()